Bug 680939 - [abrt] hplip-3.10.9-14.fc14: wifisetupdialog.py:304:performScan:KeyError: 'numberofscanentries'
Summary: [abrt] hplip-3.10.9-14.fc14: wifisetupdialog.py:304:performScan:KeyError: 'nu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f78f11df
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-28 15:27 UTC by Pawel Ciechomski
Modified: 2011-05-30 22:31 UTC (History)
2 users (show)

Fixed In Version: hplip-3.11.5-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-30 22:30:06 UTC


Attachments (Terms of Use)
File: backtrace (496 bytes, text/plain)
2011-02-28 15:27 UTC, Pawel Ciechomski
no flags Details

Description Pawel Ciechomski 2011-02-28 15:27:57 UTC
abrt version: 1.1.14
architecture: i686
cmdline: /usr/bin/python /usr/bin/hp-setup -u
component: hplip
executable: /usr/bin/hp-setup
kernel: 2.6.35.10-74.fc14.i686
package: hplip-3.10.9-14.fc14
reason: wifisetupdialog.py:304:performScan:KeyError: 'numberofscanentries'
release: Fedora release 14 (Laughlin)
How to reproduce: 1.kjjlh
time: 1298906848
uid: 500

backtrace
-----
wifisetupdialog.py:304:performScan:KeyError: 'numberofscanentries'

Traceback (most recent call last):
  File "/usr/share/hplip/ui4/wifisetupdialog.py", line 331, in SearchPushButton_clicked
    self.performScan()
  File "/usr/share/hplip/ui4/wifisetupdialog.py", line 304, in performScan
    self.num_networks = self.networks['numberofscanentries']
KeyError: 'numberofscanentries'

Local variables in innermost frame:
self: <ui4.wifisetupdialog.WifiSetupDialog object at 0x8bcef6c>
error: False

Comment 1 Pawel Ciechomski 2011-02-28 15:27:59 UTC
Created attachment 481392 [details]
File: backtrace

Comment 2 Jiri Popelka 2011-03-01 14:25:58 UTC
Thanks for the report.
Are you able to reproduce the problem on demand ?

Comment 3 Jiri Popelka 2011-03-01 18:41:57 UTC
If you are able to reproduce the problem
can you try this build ?
http://koji.fedoraproject.org/koji/taskinfo?taskID=2876619

Download all the rpm files for your architecture into one directory
and install them with
su -c 'yum --nogpgcheck localupdate *.rpm'

Comment 4 Fedora Update System 2011-03-16 12:20:23 UTC
hplip-3.11.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/hplip-3.11.1-5.fc15

Comment 5 Fedora Update System 2011-03-16 12:26:45 UTC
hplip-3.11.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/hplip-3.11.1-3.fc14

Comment 6 Fedora Update System 2011-03-16 12:44:09 UTC
hplip-3.11.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/hplip-3.11.1-3.fc13

Comment 7 Fedora Update System 2011-03-21 03:28:35 UTC
hplip-3.11.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-04-01 09:43:28 UTC
hplip-3.11.3a-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/hplip-3.11.3a-1.fc14

Comment 9 Fedora Update System 2011-04-01 09:44:47 UTC
hplip-3.11.3a-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/hplip-3.11.3a-1.fc13

Comment 10 Fedora Update System 2011-04-01 18:20:41 UTC
Package hplip-3.11.3a-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.11.3a-1.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/hplip-3.11.3a-1.fc13
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-05-30 22:29:31 UTC
hplip-3.11.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-05-30 22:30:58 UTC
hplip-3.11.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.